]> sipb.mit.edu Git - ikiwiki.git/blobdiff - debian/NEWS
* viewcvs is now viewvc (in Debian unstable), update everything to use the
[ikiwiki.git] / debian / NEWS
index 4c793d1065dc7e435deb67960024bf57b4fd136c..5057ceabea027c01965b6990aaef51780ea187e0 100644 (file)
@@ -1,4 +1,54 @@
+ikiwiki (1.42) unstable; urgency=low
+
+  The anonok setting in config files has been removed. To enable
+  httpauth support on your wiki, you should now enable the anonok plugin,
+  instead.
+
+  Third-party plugins that use pagespec_match() should be updated to pass
+  the new third parameter (from) to that function. This is needed for the
+  new relative glob matching to work.
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
+
+ikiwiki (1.34) unstable; urgency=low
+
+  The httpauth setting in config files has been removed. To enable
+  httpauth support on your wiki, you should now enable the httpauth plugin,
+  instead.
+
+  This release includes OpenID support that is enabled through the openid
+  plugin. I recommend turning this on to make it easier for users to sign
+  in to your wiki.
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
+
+ikiwiki (1.32) unstable; urgency=low
+
+  There is a change to the plugin interface in this version. Any plugins that
+  modify data in %links should pass scan => 1 when registering the hook that
+  does so.
+
+ -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
+
+ikiwiki (1.29) unstable; urgency=low
+
+  Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
+  in /etc/ikiwiki/wikilist this will be done automatically when the Debian
+  package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
+
+  There is a change to the plugin interface in this version. Plugins that use
+  %renderedfiles will need to be updated, as the hash's values are now arrays
+  of rendered files. Plugins that cause a page to render additional files
+  should use the new will_render function to register the files.
+
+ -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
+
 ikiwiki (1.22) unstable; urgency=low
+  
+  Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
+  version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
+  automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
+  to force a rebuild.
 
   If you have modified versions of ikiwiki's html templates, you will need
   to update your templates to link to the stylesheet file using
@@ -10,11 +60,6 @@ ikiwiki (1.22) unstable; urgency=low
   updated for this version of ikiwiki since these hooks have been changed
   to use named parameters.
 
-  Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
-  version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
-  automatically when the Debian package is upgraded. Or use ikiiki-mass-rebuild
-  to force a rebuild.
-
  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
 
 ikiwiki (1.13) unstable; urgency=low